<div class="container">
    <div class="row">
        <div class="col m12">
                <table class="striped">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Product</th>
                                <th>Amount</th>
                                <th>Currency</th>
                                <th>comments</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Options</th>
                            </tr>
                        </thead>
                    
                        <tbody>
                            <tr *ngFor="let payment of payments; let i = index">
                                <td>{{ payment.id }}</td>
                                <td>{{ payment.products[0].name }} </td>
                                <td>{{ payment.amount | currency }}</td>
                                <td>{{ payment.currency }}</td>
                                <td>comments</td>
                                <td>{{ payment.created_at }}</td>
                                <td>{{ payment.updated_at }}</td>
                                <td>
                                    <a [routerLink]="['/payments', payment.id]" class="waves-effect waves-light btn mr-1">
                                            <i class="large material-icons">edit</i>
                                    </a>
                                    <button class="waves-effect waves-light btn red" (click)="delete(payment.id, i)">
                                            <i class="large material-icons">delete</i>
                                    </button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
        </div>
    </div>
</div>